# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询jde配置接口验证,2288,2288-1,sit,bs
涉及到接口:多采商城查询jde配置接口
"""

from common.common_func import commonFuc
import requests
import random
import json


module = "cmdc_order_handle"

# # 第一步登录多采商城获取token
# # 获取登录所需账号密码
# username = commonFuc().get_business_data(module, "username1")
# password = commonFuc().get_business_data(module, "password1")
# # 获取登录后Cmdc_access_token
# cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
# headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)
# 第二步获取站点列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url_query_website")
request_body = commonFuc().get_business_data(module, "payload_query_website")
# 发送请求
result = requests.post(url, json=request_body)
result = json.loads(result.content)
print(result)
# 生成随机数
random_website = random.randint(0, len(result["data"])-1)

# 获取站点信息
companyId = result["data"][random_website]["companyId"]

# 第三步根据公司id获取对应jde配置信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url_jde_config")
request_body = commonFuc().get_business_data(module, "payload_jde_config", companyId)

"""
 场景:查询jde配置接口验证
 用例名称：查询jde配置接口验证
 输出：{"success":true,"code":"200","message":"OK"}
"""

# 发送请求
result = requests.get(url, params=request_body)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
result["api_time"] = api_time
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict_jde_config")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
